#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Data
%define		pnam	GUID
Summary:	Data::GUID - Perl extension for generating GUIDs
Summary(pl.UTF-8):	Data::GUID - rozszerzenie Perla do generowania GUID-ów
Name:		perl-Data-GUID
Version:	0.050
Release:	1
License:	distributable
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Data/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e7a917f6826394dbbc4f310df36ec6b6
URL:		http://search.cpan.org/dist/Data-GUID/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Data-UUID
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a framework for generating UUIDs (Universally
Unique Identifiers, also known as GUIDs (Globally Unique Identifiers).
A GUID is 128 bits long, and is guaranteed to be different from all
other UUIDs/GUIDs generated until 3400 A.D. GUIDs were originally used
in the Network Computing System (NCS) and later in the Open Software
Foundation's (OSF) Distributed Computing Environment. Currently many
different technologies rely on GUIDs to provide unique identity for
various software components.

%description -l pl.UTF-8
Moduł Perla Data::GUID udostępnia szkielet do generowania UUID-ów
(Universally Unique Identifiers - identyfikatorów unikalnych
powszechnie), znanych też jako GUID-y (Globally Unique Identifiers -
identyfikatory unikalne globalnie). GUID-y są 128-bitowe i
gwarantowana jest ich unikalność wśród wszyskich innych UUID-ów/
/GUID-ów wygenerowanych do roku 3400. GUID-y pierwotnie były używane w
Network Computing System (NCS), a później w Rozproszonym Środowisku
Obliczeniowym (Distributed Computing Environment) Fundacji Open
Software (OSF). Obecnie na zagwarantowanych przez GUID-y unikalnych
identyfikatorach dla różnych składników oprogramowania opartych jest
wiele różnych technologii.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/GUID.pm
%{_mandir}/man3/*
%changelog
* Mon Sep 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Data-GUID.git;a=log;h=master

* Mon Sep 12 2022 Arkadiusz Miśkiewicz <arekm@maven.pl> b5a57cf
- Up to 050

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 13af726
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Sep 20 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 34687b4
- up to 0.049

* Sat Jan 25 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 9056389
- up to 0.048

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> e2cc81e
- up to 0.047

* Wed Jan 11 2012 zbyniu <zbyniu@pld-linux.org> 7e308e0
- up to 0.046

* Thu Jun 18 2009 amateja <amateja@pld-linux.org> 3efceef
- updated to 0.045

* Tue Feb 19 2008 Maciej Pijanka <agaran@pld-linux.org> c8c0f3b
- missing br

* Mon Dec 31 2007 Elan Ruusamäe <glen@pld-linux.org> 4b23f8a
- convert utf8

* Sun Jun 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 3054f4e
- generic URL, cleanup

* Sun May 27 2007 Maciej Pijanka <agaran@pld-linux.org> 9dcdbba
- initial, 0.043, rel 1, builds here

